Managed Service for MongoDB API, REST: ChangeFreeze.Get
Retrieves the specific change freeze by ID.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/changeFreezes/{changeFreezeId}
Path parameters
|
Field |
Description |
|
changeFreezeId |
string Required field. ID of the change freeze to retrieve. The maximum string length in characters is 50. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"resourcePath": [
{
"id": "string",
"type": "string"
}
],
"startAt": "string",
"endAt": "string",
"durationSeconds": "string",
"reason": "string",
"createdBy": "string",
"createdAt": "string",
"status": "string",
"updatedBy": "string",
"updatedAt": "string"
}
|
Field |
Description |
|
id |
string ID of the change freeze. |
|
resourcePath[] |
Full path to the resource affected by the change freeze, |
|
startAt |
string (date-time) The time when the change freeze is scheduled to start. String in RFC3339 To work with values in this field, use the APIs described in the |
|
endAt |
string (date-time) The time when the change freeze is scheduled to end. String in RFC3339 To work with values in this field, use the APIs described in the |
|
durationSeconds |
string (int64) Duration of the change freeze in seconds. |
|
reason |
string Reason for the change freeze. |
|
createdBy |
string The user who created the change freeze. |
|
createdAt |
string (date-time) The creation time of the change freeze. String in RFC3339 To work with values in this field, use the APIs described in the |
|
status |
enum (Status) Status of the change freeze.
|
|
updatedBy |
string The user who last updated the change freeze. |
|
updatedAt |
string (date-time) The time when the change freeze was last updated. String in RFC3339 To work with values in this field, use the APIs described in the |
Resource
|
Field |
Description |
|
id |
string ID of the resource |
|
type |
string The type of the resource, e.g. resource-manager.cloud, resource-manager.folder, compute.instance, etc. |